Add option to push the development docs to SF without announcing, for
when the changes are just too small.
diff --git a/Doc/tools/push-docs.sh b/Doc/tools/push-docs.sh
index 6f93b85..381b160 100755
--- a/Doc/tools/push-docs.sh
+++ b/Doc/tools/push-docs.sh
@@ -18,6 +18,7 @@
 fi
 
 EXPLANATION=''
+ANNOUNCE=true
 
 while [ "$#" -gt 0 ] ; do
   case "$1" in
@@ -25,6 +26,10 @@
           EXPLANATION="$2"
           shift 2
           ;;
+      -q)
+          ANNOUNCE=false
+          shift 1
+          ;;
       -t)
           DOCTYPE="$2"
           shift 2
@@ -66,7 +71,8 @@
 scp "$PACKAGE" tools/update-docs.sh $TARGET/ || exit $?
 ssh python.sourceforge.net tmp/update-docs.sh $DOCTYPE $PACKAGE '&&' rm tmp/update-docs.sh || exit $?
 
-sendmail $ADDRESSES <<EOF
+if $ANNOUNCE ; then
+    sendmail $ADDRESSES <<EOF
 To: $ADDRESSES
 From: "Fred L. Drake" <fdrake@acm.org>
 Subject: [$DOCLABEL doc updates]
@@ -77,4 +83,5 @@
 
 $EXPLANATION
 EOF
-exit $?
+    exit $?
+fi